package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 项目图例(ProjectLegend)表实体类
 *
 * @author makejava
 * @since 2025-03-19 10:12:35
 */
@Data
public class ProjectLegend extends BaseEntity implements Serializable {

    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目id")
    private Long xmId;

    @ApiModelProperty("图片类型")
    private Integer imgType;

    @ApiModelProperty("图片")
    private String img;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;
}

