package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.mapper.ProjectLegendMapper;
import com.ruoyi.gysl.entity.ProjectLegend;
import com.ruoyi.gysl.service.ProjectLegendService;
import org.springframework.stereotype.Service;

/**
 * 项目图例(ProjectLegend)表服务实现类
 *
 * @author makejava
 * @since 2025-03-19 10:12:35
 */
@Service("projectLegendService")
public class ProjectLegendServiceImpl extends ServiceImpl<ProjectLegendMapper, ProjectLegend> implements ProjectLegendService {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param projectLegend 查询实体
     * @return 所有数据
     */
    @Override
    public Page<ProjectLegend> page(Page<ProjectLegend> page, ZwIdPageReq projectLegend) {
        return baseMapper.page(page,projectLegend);
    }
}

