package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.mapper.ProjectMonthInfoMapper;
import com.ruoyi.gysl.entity.ProjectMonthInfo;
import com.ruoyi.gysl.service.ProjectMonthInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 月度进展详情(ProjectMonthInfo)表服务实现类
 *
 * @author makejava
 * @since 2025-03-19 10:49:03
 */
@Service("projectMonthInfoService")
public class ProjectMonthInfoServiceImpl extends ServiceImpl<ProjectMonthInfoMapper, ProjectMonthInfo> implements ProjectMonthInfoService {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    @Override
    public Page<ProjectMonthInfo> page(Page<ProjectMonthInfo> page, ZwIdPageReq zwIdPageReq) {
        return baseMapper.page(page,zwIdPageReq);
    }

    /**
     * 查询所有数据
     */
    @Override
    public List<ProjectMonthInfo> page(ZwIdPageReq zwIdPageReq) {
        return baseMapper.page(zwIdPageReq);
    }
}

