package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 项目其他信息(ProjectOtherInfo)表实体类
 *
 * @author makejava
 * @since 2025-03-19 10:49:22
 */
@Data
public class ProjectOtherInfo extends BaseEntity implements Serializable {

    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目id")
    private Long xmId;


    @ApiModelProperty("其他信息JSON")
    private String otherJson;
}

