package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.ProjectLegend;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

/**
 * 项目图例(ProjectLegend)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-19 10:12:34
 */
public interface ProjectLegendMapper extends BaseMapper<ProjectLegend> {


    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param projectLegend 查询实体
     * @return 所有数据
     */
    Page<ProjectLegend> page(Page<ProjectLegend> page,@Param("req") ZwIdPageReq projectLegend);
}

